﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartBubbleSeriesCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 1; i < 10; i++)
            {
                SampleData sd = new SampleData() { X = i * 20, Y = i * 20 };
                sd.Radius = i * 10;
                Data.Add(sd);
            }                           
        }
    }

    public class SampleData
    {
        public int X { get; set; }
        public int Y { get; set; }
        public int Radius { get; set; }
    }
}
